API Explorer 1 endpoints

Get User Id (Current)

GET /obp/v7.0.0/users/current/user_id

OBPv4.0.0-getCurrentUserId No role required User

Get the USER_ID of the logged in user

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

JSON response body fields (1)
user_id
9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1
Example success response
{
  "user_id": "9ca9a7e4-6d02-40e3-a129-0b2bf89de9b1"
}
Possible errors (2)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 getCurrentUserId Originally /obp/v4.0.0/users/current/user_id